﻿
using Android.App;
using Android.Content;
using Android.Content.PM;
using Android.Graphics.Drawables;
using Android.OS;
using Xamarin.Forms.Platform.Android;
using Xamarin.Forms;

namespace dataform.Droid
{
    [Activity(Label = "dataform", Icon = "@mipmap/icon", Theme = "@style/HJTheme", MainLauncher = true, ConfigurationChanges = ConfigChanges.ScreenSize | ConfigChanges.Orientation)]
    [IntentFilter(new[] { Intent.ActionView }, DataScheme = "healthjibe",
        Categories = new[] { Intent.CategoryDefault, Intent.CategoryBrowsable })]
    public class MainActivity : FormsApplicationActivity
    {
        protected override void OnCreate(Bundle savedInstanceState)
        {

            base.OnCreate(savedInstanceState);

            ActionBar.SetStackedBackgroundDrawable(new ColorDrawable(Color.FromHex("000000").ToAndroid()));
            ActionBar.SetBackgroundDrawable(new ColorDrawable(Color.FromHex("FFFFFF").ToAndroid()));

            global::Xamarin.Forms.Forms.Init(this, savedInstanceState);
            LoadApplication(new App());
        }
    }
}